.tagButton {
    cursor: pointer;
    transition: var(--transition);
}

.tagButton:hover {
    opacity: 0.5;
}

.searchSelector input {
    border-width: 0px;
}

.searchSelector {
    width: 100%;
    line-height: 50px;
    color: var(--black);
    padding-left: 0px;
    padding-right: 0px;
    background-color: var(--field);
    border-radius: var(--radius);
    border-color: var(--stroke);
    border-style: solid;
    border-width: 2px;
    display: inline-block;
    font-size: 16px;
    font-weight: bold;
    position: relative;
    box-sizing: border-box;
    height: 53px;
    transition: var(--transition);
}

.searchSelector:focus-within {
    border-color: var(--primary);
}

.searchSelector.inline {
    overflow: visible;
}

.searchSelector.inline .suggests.open {
    top: 50px;
    position: absolute;
}

.searchSelector.only .tagArea {
    position: absolute;
    top: 10px;
}

.tagButton {
    margin-top: unset;
    padding-left: 10px;
    padding-right: 10px;
    color: #FFF;
    background-color: var(--primary);
    position: relative;
    float: left;
    line-height: 30px !important;
    border-radius: 7px;
    margin-left: 10px;
    margin-bottom: 10px;
    transition: var(--transition);
}

.tagButton .label, .tagButton.attag .label {
    font-size: 16px;
    font-family: "Open Sans";
    margin-left: 5px;
}

.tagButton.attag.error, .tagButton.error {
    background-color: var(--red);
}

.tagButton.attag {
    margin-top: unset;
    padding-left: 10px;
    padding-right: 10px;
    color: #FFF;
    background-color: var(--secondary);
    position: relative;
    float: left;
    line-height: 30px;
    border-radius: 7px;
    margin-left: 10px;
    margin-bottom: 10px;
    transition: var(--transition);
}

.suggests {
    width: 100%;
    top: 50px;
    overflow: auto;
    max-height: 300px;
    z-index: 10;
    background-color: var(--white);
    border-top: solid #FFF 0px;
    border-bottom: solid #FFF 0px;
    opacity: 0;
    transition: var(--transition);
    height: 0px;
}

.suggests.open {
    padding: 20px;
    border-radius: 0px;
    margin-top: -7px;
    margin-bottom: 10px;
    opacity: 1.0;
    border-bottom-left-radius: 7px;
    border-bottom-right-radius: 7px;
    background-color: rgba(0,0,0,0.6);
    padding-top: 25px;
    padding-left: 10px;
    padding-bottom: 10px;
    padding-right: 10px;
    height: auto;
    max-height: 200px;
    overflow-y: auto;
}

.suggests .suggest {
    padding-left: 10px;
    padding-right: 10px;
    line-height: 30px;
    font-size: 14px;
    cursor: pointer;
    transition: var(--transition);
}

.suggests .suggest:hover, .suggests .suggest.highlighted {
    background-color: var(--primary);
    color: #FFF;
}